Package org.pushingpixels.substance.swingx

# Class SubstanceHyperlinkUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.ButtonUI
javax.swing.plaf.basic.BasicButtonUI
org.jdesktop.swingx.plaf.basic.BasicHyperlinkUI
org.pushingpixels.substance.swingx.SubstanceHyperlinkUI

public class SubstanceHyperlinkUI extends org.jdesktop.swingx.plaf.basic.BasicHyperlinkUI
Substance-consistent UI delegate for `JXHyperlink`.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.jdesktop.swingx.plaf.basic.BasicHyperlinkUI

`org.jdesktop.swingx.plaf.basic.BasicHyperlinkUI.BasicHyperlinkListener`

## Field Summary

### Fields inherited from class org.jdesktop.swingx.plaf.basic.BasicHyperlinkUI

`dashedRectGapHeight, dashedRectGapWidth, dashedRectGapX, dashedRectGapY`

### Fields inherited from class javax.swing.plaf.basic.BasicButtonUI

`defaultTextIconGap, defaultTextShiftOffset`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceHyperlinkUI()`

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI(JComponent comp)`

### Methods inherited from class org.jdesktop.swingx.plaf.basic.BasicHyperlinkUI

`contains, createButtonListener, getFocusColor, getIconTextRect, installDefaults, installListeners, paint, paintButtonPressed, paintFocus, paintHTMLText, paintText, uninstallListeners`

### Methods inherited from class javax.swing.plaf.basic.BasicButtonUI

`clearTextShiftOffset, getBaseline, getBaselineResizeBehavior, getDefaultTextIconGap, getMaximumSize, getMinimumSize, getPreferredSize, getPropertyPrefix, getTextShiftOffset, installKeyboardActions, installUI, paintIcon, paintText, setTextShiftOffset, uninstallDefaults, uninstallKeyboardActions, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`getAccessibleChild, getAccessibleChildrenCount, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceHyperlinkUI

public SubstanceHyperlinkUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent comp)